/////////////////////////////////////////////////////////////////////////////
//
// Undelete
//
// Copyright (C) 1998 Mark Russinovich and Bryce Cogswell
// Systems Internals - http://www.sysinternals.com
//
// See readme.txt for terms of use.
//
/////////////////////////////////////////////////////////////////////////////

// InfoEntry.h: interface for the InfoEntry class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_INFOENTRY_H__C7162EFC_525F_11D2_A5A2_00E081100E97__INCLUDED_)
#define AFX_INFOENTRY_H__C7162EFC_525F_11D2_A5A2_00E081100E97__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

class CInfoEntry  
{
protected:
	CInfoEntry();

public:
	BOOL GetIcon();
	HIMAGELIST m_ImageList;
	int m_Icon;
	CString m_TimeCreatedString;
	CFileStatus m_FileStatus;
	DWORD m_FileId;
	CString m_SizeString;
	CString m_DeletedName;
	CString m_TimeDeletedString;
	CInfoEntry( DWORD FileId, CString Name, CString DeletedName, 
					   CString Type, LARGE_INTEGER TimeDeleted, DWORD Size);
	virtual ~CInfoEntry();
	LARGE_INTEGER m_TimeDeleted;
	CString m_OriginalName;
	CString m_Name;

	CString m_Type;
	DWORD m_Size;
};

#endif // !defined(AFX_INFOENTRY_H__C7162EFC_525F_11D2_A5A2_00E081100E97__INCLUDED_)
